Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonGalleryUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.RibbonGalleryUI
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonGalleryUI

public class SubstanceRibbonGalleryUI extends org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI
UI delegate for `JRibbonGallery` component under Substance look-and-feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI

`org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI.ExpandCommandButton, org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI.JButtonStripUIResource`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI

`buttonStrip, expandActionButton, expandListener, firstVisibleButtonIndex, margin, popupListener, propertyChangeListener, ribbonGallery, scrollDownButton, scrollDownListener, scrollUpButton, scrollUpListener, visibleButtonRowNumber, visibleButtonsInEachRow`

## Method Summary

Modifier and Type
Method
Description
`protected org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI.ExpandCommandButton`
`createExpandButton()`
`protected org.pushingpixels.flamingo.api.common.JCommandButton`
`createScrollDownButton()`
`protected org.pushingpixels.flamingo.api.common.JCommandButton`
`createScrollUpButton()`
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`paintRibbonGalleryBorder(Graphics graphics)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI

`createLayoutManager, getLayoutGap, getPreferredWidth, installComponents, installDefaults, installListeners, installUI, paint, scrollOneRowDown, scrollOneRowUp, scrollToSelected, syncExpandKeyTip, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### paintRibbonGalleryBorder

protected void paintRibbonGalleryBorder(Graphics graphics)

Overrides:
  `paintRibbonGalleryBorder` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI`

### createExpandButton

protected org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI.ExpandCommandButton createExpandButton()

Overrides:
  `createExpandButton` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI`

### createScrollDownButton

protected org.pushingpixels.flamingo.api.common.JCommandButton createScrollDownButton()

Overrides:
  `createScrollDownButton` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI`

### createScrollUpButton

protected org.pushingpixels.flamingo.api.common.JCommandButton createScrollUpButton()

Overrides:
  `createScrollUpButton` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonGalleryUI`